GenbankXmlFormat (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.GenbankXmlFormat class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io
Class GenbankXmlFormat

    java.lang.Object
      org.biojava.bio.seq.io.GenbankFormat
          org.biojava.bio.seq.io.GenbankXmlFormat

All Implemented Interfaces:
  Serializable, EventListener, SequenceFormat, ParseErrorListener, ParseErrorSource

Deprecated. Use org.biojavax.bio.seq.io.INSDseqFormat

    public class GenbankXmlFormat

extends GenbankFormat

Format reader for GenBank XML files.

Author:
  Alan Li - alanli[at]xyworks.com
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.biojava.bio.seq.io.GenbankFormat
`ACCESSION_TAG, AUTHORS_TAG, BASE_COUNT_TAG, CIRCULAR_TAG, COMMENT_TAG, COORDINATE_TAG, DATE_TAG, DEFAULT, DEFINITION_TAG, DIVISION_TAG, END_SEQUENCE_TAG, FEATURE_FLAG, FEATURE_LINE_PREFIX, FEATURE_TAG, GI_TAG, JOURNAL_TAG, KEYWORDS_TAG, LOCUS_TAG, MEDLINE_TAG, ORGANISM_TAG, PUBMED_TAG, REF_ACCESSION_TAG, REFERENCE_TAG, SIZE_TAG, SOURCE_TAG, START_SEQUENCE_TAG, STRAND_NUMBER_TAG, TITLE_TAG, TYPE_TAG, VERSION_TAG`

Constructor Summary
`GenbankXmlFormat()` Deprecated.

Method Summary
`String` | `getDefaultFormat()` Deprecated. `getDefaultFormat` returns the String identifier for the default format.
`boolean` | `readSequence(BufferedReader reader, SymbolTokenization symParser, SeqIOListener listener)` Deprecated. Reads a sequence from the specified reader using the Symbol parser and Sequence Factory provided.

Methods inherited from class org.biojava.bio.seq.io.GenbankFormat
`addParseErrorListener, BadLineParsed, getElideSymbols, notifyParseErrorEvent, removeParseErrorListener, setElideSymbols, writeSequence, writeSequence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenbankXmlFormat

    public GenbankXmlFormat()

  Deprecated.

Method Detail

### readSequence

    public boolean readSequence(BufferedReader reader,
                                SymbolTokenization symParser,
                                SeqIOListener listener)
                         throws IllegalSymbolException,
                                IOException,
                                ParseException

  Deprecated.
  Description copied from class: `GenbankFormat`
  Reads a sequence from the specified reader using the Symbol parser and Sequence Factory provided. The sequence read in must be in Genbank format.

  Specified by:
    `readSequence` in interface `SequenceFormat`
  Overrides:
    `readSequence` in class `GenbankFormat`
  Parameters:
    `reader` - The stream of data to parse.
    `symParser` - A SymbolParser defining a mapping from character data to Symbols.
    `listener` - A listener to notify when data is extracted from the stream.
  Returns:
    boolean True if there is another sequence in the file; false otherwise
  Throws:
    `IllegalSymbolException` - if it is not possible to translate character data from the stream into valid BioJava symbols.
    `IOException` - if an error occurs while reading from the stream.
    `ParseException`

### getDefaultFormat

    public String getDefaultFormat()

  Deprecated.
  Description copied from class: `GenbankFormat`
  `getDefaultFormat` returns the String identifier for the default format.

  Specified by:
    `getDefaultFormat` in interface `SequenceFormat`
  Overrides:
    `getDefaultFormat` in class `GenbankFormat`
  Returns:
    a `String`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD